Bug 209879 - mail/ezmlm-idx: Update to version 7.2.2
Summary: mail/ezmlm-idx: Update to version 7.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-05-31 03:06 UTC by Robert Schulze
Modified: 2016-07-03 16:33 UTC (History)
2 users (show)

See Also:


Attachments
patch for Makefile and distinfo (1.86 KB, patch)
2016-05-31 03:06 UTC, Robert Schulze
vlad-fbsd: maintainer-approval+
Details | Diff
Fix URL in pkg-descr (299 bytes, patch)
2016-05-31 08:48 UTC, Robert Schulze
no flags Details | Diff
Update ezmlm-idx to 7.2.2 and clean up errors (3.68 KB, patch)
2016-05-31 09:39 UTC, VK
vlad-fbsd: maintainer-approval+
Details | Diff
Update ezmlm-idx to 7.2.2 and clean up errors (3.68 KB, patch)
2016-05-31 09:50 UTC, VK
no flags Details | Diff
Update ezmlm-idx to 7.2.2 and clean up errors (4.39 KB, patch)
2016-05-31 09:55 UTC, VK
vlad-fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Schulze 2016-05-31 03:06:04 UTC
Created attachment 170848 [details]
patch for Makefile and distinfo

The attached patch updates the port to the current upstream version. Please note, that the file files/patch-ezmlm-manage-N must be omitted completely.
Comment 1 VK freebsd_triage 2016-05-31 08:37:12 UTC
Comment on attachment 170848 [details]
patch for Makefile and distinfo

The port is unmaintained. Implicit approval.

Just a note about switching MASTER_SITES for anyone not familiar with this port, as I am, untroubled.org is the upstream for ezmlm-idx, according to ezmlm Wikipedia page (https://en.wikipedia.org/wiki/Ezmlm).
Comment 2 VK freebsd_triage 2016-05-31 08:41:20 UTC
And speaking of which, Robert, thanks for the patch. :) However, would it be possible for you to also fix WWW in pkg-descr to point to http://untroubled.org/ezmlm/ ?
Comment 3 Robert Schulze 2016-05-31 08:48:58 UTC
Created attachment 170852 [details]
Fix URL in pkg-descr
Comment 4 VK freebsd_triage 2016-05-31 09:39:59 UTC
Created attachment 170855 [details]
Update ezmlm-idx to 7.2.2 and clean up errors

I've taken the liberty to unify both patches into one, but discovered additional issues. This patch cleans all that up:

* Update to 7.2.2, reset PORTREVISION
* Set MASTER_SITES to upstream
* Fix WWW in pkg-descr for proper upstream
* Rearrange Makefile to satisfy portlint (MAKE_JOBS_UNSAFE, LEGAL_TEXT)
* Fix pkg-plist for changes in installed files, sorted

Passes portlint, passes port test in a clean jail.
Comment 5 VK freebsd_triage 2016-05-31 09:41:22 UTC
Comment on attachment 170855 [details]
Update ezmlm-idx to 7.2.2 and clean up errors

The port has no maintainer. Implicit approval.
Comment 6 VK freebsd_triage 2016-05-31 09:50:12 UTC
Created attachment 170856 [details]
Update ezmlm-idx to 7.2.2 and clean up errors

Oops, here's the updated version, didn't drop files/patch-ezmlm-manage-N from SVN so the diff ignored it missing.
Comment 7 Robert Schulze 2016-05-31 09:54:39 UTC
(In reply to Vladimir Krstulja from comment #6)
Thanks for your work, too :-)
Comment 8 VK freebsd_triage 2016-05-31 09:55:16 UTC
Created attachment 170857 [details]
Update ezmlm-idx to 7.2.2 and clean up errors

Here's the actual, final patch. I am sorry for the noise but I have issues with bugzilla caching pages in Chromium reverting me to expired pages and "mid air collisions"...

Implicit approval as the port has no maintainer.
Comment 9 Pawel Pekala freebsd_committer 2016-06-20 15:09:40 UTC
Build fails when option DB=MYSQL:

http://people.freebsd.org/~pawel/buildlogs/ezmlm-idx-7.2.2-10amd64.log
Comment 10 Kurt Jaeger freebsd_committer 2016-07-03 16:33:28 UTC
testbuilds fine, committed. Fixed mysql build issue.
Comment 11 commit-hook freebsd_committer 2016-07-03 16:33:41 UTC
A commit references this bug:

Author: pi
Date: Sun Jul  3 16:32:41 UTC 2016
New revision: 417979
URL: https://svnweb.freebsd.org/changeset/ports/417979

Log:
  mail/ezmlm-idx: 7.1.1 -> 7.2.2

  - added mysql build fix

  PR:		209879
  Changes:	http://untroubled.org/ezmlm/archive/7.2.2/CHANGES
  Submitted by:	Robert Schulze <rs@bytecamp.net>
  Reviewed by:	Vladimir Krstulja <vlad-fbsd@acheronmedia.com>, pawel

Changes:
  head/mail/ezmlm-idx/Makefile
  head/mail/ezmlm-idx/distinfo
  head/mail/ezmlm-idx/files/patch-ezmlm-manage-N
  head/mail/ezmlm-idx/files/patch-sub-mysql.c
  head/mail/ezmlm-idx/pkg-descr
  head/mail/ezmlm-idx/pkg-plist